Package org.springframework.security.authentication

# Interface AuthenticationDetailsSource<C,T>

public interface AuthenticationDetailsSource<C,T>
Provides a `Authentication.getDetails()` object for a given web request.

## Method Summary

Modifier and Type
Method
Description
`T`
`buildDetails(C context)`
Called by a class when it wishes a new authentication details instance to be created.

## Method Details

### buildDetails

T buildDetails(C context)
Called by a class when it wishes a new authentication details instance to be created.

Parameters:
  `context` - the request object, which may be used by the authentication details object
Returns:
  a fully-configured authentication details instance